package vn.azteam.tpf.service.dto;

import java.io.Serializable;
import java.util.List;

/**
 * A DTO for the TBActivity entity.
 */
public class ActivityTimelineDTO implements Serializable {

    private List<GuidelineDetailWrapperDTO> guidelineDetails;

    private List<TBActivityDTO> activities;

    private List<TBGuidelinePeriodDTO> guidelinePeriods;

    public List<TBActivityDTO> getActivities() {
        return activities;
    }

    public void setActivities(List<TBActivityDTO> activities) {
        this.activities = activities;
    }

    public List<GuidelineDetailWrapperDTO> getGuidelineDetails() {
        return guidelineDetails;
    }

    public void setGuidelineDetails(List<GuidelineDetailWrapperDTO> guidelineDetails) {
        this.guidelineDetails = guidelineDetails;
    }

    public List<TBGuidelinePeriodDTO> getGuidelinePeriods() {
        return guidelinePeriods;
    }

    public void setGuidelinePeriods(List<TBGuidelinePeriodDTO> guidelinePeriods) {
        this.guidelinePeriods = guidelinePeriods;
    }
}
